org.eclipse.jgit.diff

## Class Sequence

- java.lang.Object
- - org.eclipse.jgit.diff.Sequence

Direct Known Subclasses:
  HashedSequence, RawText, Subsequence

    public abstract class Sequence
    extends Object

Arbitrary sequence of elements.

A sequence of elements is defined to contain elements in the index range `[0, `size()`)`, like a standard Java List implementation. Unlike a List, the members of the sequence are not directly obtainable.

Implementations of Sequence are primarily intended for use in content difference detection algorithms, to produce an `EditList` of `Edit` instances describing how two Sequence instances differ.

To be compared against another Sequence of the same type, a supporting `SequenceComparator` must also be supplied.

### Constructor Summary

Constructors
Constructor and Description
`Sequence()`

### Method Summary

Methods
`abstract int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Sequence

    public Sequence()

### Method Detail

#### size

    public abstract int size()

Returns:
  total number of items in the sequence.